using System;

internal sealed class Delegate841 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate841 delegate841_1)
	{
		return delegate841_1(object_0);
	}

	public extern Delegate841(object object_0, IntPtr intptr_0);

	static Delegate841()
	{
		Class10.smethod_13(typeof(Delegate841).TypeHandle);
	}

	internal static Delegate841 delegate841_0;
}
